unit IniFileConsts;
// Description: PasswordGen INI File Sections and Keys
// By Sarah Dean
//
// Defines INI file consts for sections and keys
//


interface


const
  // -------------------------------------------
  SECTION_PASSWORDGEN        = 'PasswordGen';
    KEY_VERSION                    = 'Version';
    KEY_MAJOR_VERSION              = 'MajorVersion';
    KEY_MINOR_VERSION              = 'MinorVersion';
    KEY_RELEASE_VERSION            = 'ReleaseVersion';
    KEY_BUILD_VERSION              = 'BuildVersion';
    KEY_BETA_VERSION               = 'BETAVersion';

  // -------------------------------------------
  SECTION_OPTIONS            = 'Options';
    KEY_COPY_PASSWORDS_TO_CLIPBOARD         = 'CopyToClipboard';
      DFLT_KEY_COPY_PASSWORDS_TO_CLIPBOARD    = TRUE;
    KEY_WARN_PASSWORDS_COPIED_TO_CLIPBOARD      = 'WarnCopiedToClipboard';
      DFLT_KEY_WARN_PASSWORDS_COPIED_TO_CLIPBOARD = TRUE;
    KEY_NO_START_END_IN_SPACE               = 'NoStartEndInSpace';
      DFLT_KEY_NO_START_END_IN_SPACE          = FALSE;

  // -------------------------------------------
  SECTION_CHARACTERSETS           = 'CharacterSets';
    // Character set
    KEY_USE_UPPERCASE                       = 'UseUppercase';
      DFLT_KEY_USE_UPPERCASE                  = TRUE;
    KEY_USE_LOWERCASE                       = 'UseLowercase';
      DFLT_KEY_USE_LOWERCASE                  = TRUE;
    KEY_USE_NUMBERS                         = 'UseNumbers';
      DFLT_KEY_USE_NUMBERS                    = TRUE;
    KEY_USE_PUNCTUATION                     = 'UsePunctuation';
      DFLT_KEY_USE_PUNCTUATION                = TRUE;
    KEY_USE_SPACE                           = 'UseSpace';
      DFLT_KEY_USE_SPACE                      = TRUE;

    KEY_PUNCTUATION_SET                     = 'PunctuationSet';
      DFLT_KEY_PUNCTUATION_SET                = '@[\]^_!"#$%&''()*+,-./:;<=>?`{|}~';

    KEY_FORCE_CHAR_FROM_SELECTED_CHARSETS      = 'ForceCharFromEachSelectedCharSet';
      DFLT_KEY_FORCE_CHAR_FROM_SELECTED_CHARSETS = FALSE;
    KEY_FORCE_CHAR_FROM_SELECTED_CHARSETS_NOT_SPACE      = 'ForceCharFromEachSelectedCharSetNotSpace';
      DFLT_KEY_FORCE_CHAR_FROM_SELECTED_CHARSETS_NOT_SPACE = TRUE;

  // -------------------------------------------
  SECTION_RNG                     = 'RNG';
    KEY_USE_RNG                             = 'UseRNG';
      DFLT_KEY_USE_RNG                        = 0;

  // -------------------------------------------
  SECTION_GENERATE           = 'Generate';
    // Password size
    KEY_PASSWORD_LENGTH                     = 'PasswordLength';
      DFLT_KEY_PASSWORD_LENGTH                = 8;
    KEY_PASSWORD_STRENGTH                   = 'PasswordStrength';
      DFLT_KEY_PASSWORD_STRENGTH              = 128;
    KEY_TARGET_PASSWORD_BASIS               = 'TargetPasswordByLength';
      DFLT_KEY_TARGET_PASSWORD_BASIS          = FALSE;

  // -------------------------------------------

  
implementation

END.

